echo off
cls
rem ======================================================================
rem F9COPY - Copy FONE900(tm) program and data files
rem ======================================================================
rem   %1 - FROM drive
rem   %2 - TO drive
rem   %3 - copy mode
rem        0 - backup hard disk
rem        1 - backup diskette
rem        2 - copy from hard disk
rem        3 - copy diskette
rem   %4 - format command to use
rem ======================================================================
rem Copyright (c) 1990 by Eugene L. Woods, PE/EE.  All rights reserved.
rem ======================================================================

if "%1" == "" goto missing
if "%2" == "" goto missing
if "%3" == "" goto missing
goto begin

:missing
echo Error *** F9COPY.BAT, missing parameter.
goto :done

:begin
echo Copying FONE900(tm) files from %1 to %2
if %3 == 1 goto diskette
if %3 == 3 goto diskette
goto harddisk

:diskette
diskcopy %1 %2
if %3 == 1 goto done
echo ATTENTION:  Be sure target diskette is still mounted in drive %2...
pause
erase %2F9setup.bin
erase %2F900db.*
goto done

:harddisk
echo ATTENTION:  Preparing to copy FONE900(tm) files from hard drive %1 to %2
if "%4" == "" goto self
echo formatting disk in drive %2
%4 %2

:self
if %3 == 2 goto friend
copy %1F900stup.bin %2
copy %1F900db.* %2

:friend
copy %1F9.exe %2
copy %1F900br1c.frm %2
copy %1F900br1c.scr %2
copy %1F900in1c.frm %2
copy %1F900in1c.scr %2
copy %1F900st1c.frm %2
copy %1F900st1c.scr %2
copy %1F900br1b.frm %2
copy %1F900br1b.scr %2
copy %1F900in1c.frm %2
copy %1F900in1c.scr %2
copy %1F900st1b.frm %2
copy %1F900st1b.scr %2
copy %1F900help.dat %2
copy %1F900info.dat %2
copy %1F9intro.dat %2
copy %1F900ypg.dat %2
copy %1FONE900.bat %2
copy %1readme %2

echo Copy complete!

:done
